org.eclipse.rdf4j.query.parser.sparql.ast

## Interface Node

- All Known Implementing Classes:
    ASTAbs, ASTAdd, ASTAggregate, ASTAnd, ASTAskQuery, ASTAvg, ASTBaseDecl, ASTBasicGraphPattern, ASTBind, ASTBindingsClause, ASTBindingSet, ASTBindingValue, ASTBlankNode, ASTBlankNodePropertyList, ASTBNodeFunc, ASTBound, ASTCeil, ASTClear, ASTCoalesce, ASTCollection, ASTCompare, ASTConcat, ASTConstraint, ASTConstruct, ASTConstructQuery, ASTContains, ASTCopy, ASTCount, ASTCreate, ASTDatasetClause, ASTDatatype, ASTDay, ASTDeleteClause, ASTDeleteData, ASTDeleteWhere, ASTDescribe, ASTDescribeQuery, ASTDrop, ASTEncodeForURI, ASTExistsFunc, ASTFalse, ASTFloor, ASTFunctionCall, ASTGraphGraphPattern, ASTGraphOrDefault, ASTGraphPatternGroup, ASTGraphRefAll, ASTGroupClause, ASTGroupConcat, ASTGroupCondition, ASTHavingClause, ASTHours, ASTIf, ASTIn, ASTInfix, ASTInlineData, ASTInsertClause, ASTInsertData, ASTIRI, ASTIRIFunc, ASTIsBlank, ASTIsIRI, ASTIsLiteral, ASTIsNumeric, ASTLang, ASTLangMatches, ASTLimit, ASTLoad, ASTLowerCase, ASTMath, ASTMax, ASTMD5, ASTMin, ASTMinusGraphPattern, ASTMinutes, ASTModify, ASTMonth, ASTMove, ASTNot, ASTNotExistsFunc, ASTNotIn, ASTNow, ASTNumericLiteral, ASTObjectList, ASTOffset, ASTOperation, ASTOperationContainer, ASTOptionalGraphPattern, ASTOr, ASTOrderClause, ASTOrderCondition, ASTPathAlternative, ASTPathElt, ASTPathMod, ASTPathNegatedPropertySet, ASTPathOneInPropertySet, ASTPathSequence, ASTPrefixDecl, ASTProjectionElem, ASTPropertyList, ASTPropertyListPath, ASTQName, ASTQuadsNotTriples, ASTQuery, ASTQueryContainer, ASTRand, ASTRDFLiteral, ASTRDFValue, ASTRegexExpression, ASTReplace, ASTRound, ASTSameTerm, ASTSample, ASTSeconds, ASTSelect, ASTSelectQuery, ASTServiceGraphPattern, ASTSHA1, ASTSHA224, ASTSHA256, ASTSHA384, ASTSHA512, ASTStr, ASTStrAfter, ASTStrBefore, ASTStrDt, ASTStrEnds, ASTString, ASTStrLang, ASTStrLen, ASTStrStarts, ASTSTRUUID, ASTSubstr, ASTSum, ASTTimezone, ASTTriplesSameSubject, ASTTriplesSameSubjectPath, ASTTrue, ASTTz, ASTUnionGraphPattern, ASTUnparsedQuadDataBlock, ASTUpdate, ASTUpdateContainer, ASTUpdateSequence, ASTUpperCase, ASTUUID, ASTVar, ASTWhereClause, ASTYear, SimpleNode

      public interface Node

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `jjtAccept(SyntaxTreeBuilderVisitor visitor, Object data)` Accept the visitor.
    `void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
    `void` | `jjtAppendChild(Node n)` Adds the supplied node as the last child node to this node.
    `void` | `jjtClose()` This method is called after all the child nodes have been added.
    `Node` | `jjtGetChild(int i)` This method returns a child node.
    `int` | `jjtGetNumChildren()` Return the number of children the node has.
    `Node` | `jjtGetParent()`
    `void` | `jjtInsertChild(Node n, int i)` Adds the supplied node as the `i`'th child node to this node.
    `void` | `jjtOpen()` This method is called after the node has been made the current node.
    `void` | `jjtReplaceChild(Node oldNode, Node newNode)` Replaces a child node with a new node.
    `void` | `jjtSetParent(Node n)` This pair of methods are used to inform the node of its parent.

- - ### Method Detail

    - #### jjtOpen

          void jjtOpen()

      This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.

    - #### jjtClose

          void jjtClose()

      This method is called after all the child nodes have been added.

    - #### jjtSetParent

          void jjtSetParent(Node n)

      This pair of methods are used to inform the node of its parent.

    - #### jjtGetParent

          Node jjtGetParent()

    - #### jjtAddChild

          void jjtAddChild(Node n,
                           int i)

      This method tells the node to add its argument to the node's list of children.

    - #### jjtAppendChild

          void jjtAppendChild(Node n)

      Adds the supplied node as the last child node to this node.

    - #### jjtInsertChild

          void jjtInsertChild(Node n,
                              int i)

      Adds the supplied node as the `i`'th child node to this node.

    - #### jjtReplaceChild

          void jjtReplaceChild(Node oldNode,
                               Node newNode)

      Replaces a child node with a new node.

    - #### jjtGetChild

          Node jjtGetChild(int i)

      This method returns a child node. The children are numbered from zero, left to right.

    - #### jjtGetNumChildren

          int jjtGetNumChildren()

      Return the number of children the node has.

    - #### jjtAccept

          Object jjtAccept(SyntaxTreeBuilderVisitor visitor,
                           Object data)
                    throws VisitorException

      Accept the visitor.
      Throws:
        `VisitorException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.